Name:          etl
Version:       1.5.3
Release:       1mamba
Summary:       A multi-platform class and template library designed to add new datatypes and functions
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.synfig.org/
Source:        https://github.com/synfig/synfig/releases/download/v%{version}/ETL-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END

%description
ETL is a multi-platform class and template library designed to add new datatypes and functions which combine well with the existing types and functions from the C++ Standard Template Library (STL).

%package devel
Group:         Development/Libraries
Summary:       A multi-platform class and template library designed to add new datatypes and functions
Provides:      ETL-devel

%description devel
ETL is a multi-platform class and template library designed to add new datatypes and functions which combine well with the existing types and functions from the C++ Standard Template Library (STL).

%define debug_package %{nil}

%prep
%setup -q -n ETL-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files devel
%defattr(-,root,root)
%{_bindir}/ETL-config
%dir %{_includedir}/ETL
%{_includedir}/ETL/*
%{_libdir}/pkgconfig/ETL.pc
%doc AUTHORS COPYING
#%doc ChangeLog NEWS README

%changelog
* Fri Jan 03 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.3-1mamba
- update to 1.5.3

* Thu Nov 07 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.5-1mamba
- update to 1.4.5

* Wed Jan 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.4-1mamba
- update to 1.4.4

* Thu Jul 29 2021 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri May 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1-1mamba
- update to 1.4.1

* Mon Dec 28 2020 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Sun Oct 07 2018 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Tue Aug 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-2mamba
- added a patch for gcc 8.1

* Sat Dec 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Tue Apr 11 2017 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.04.22-1mamba
- update to 0.04.22

* Fri May 01 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.04.18-1mamba
- update to 0.04.18

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.04.17-1mamba
- update to 0.04.17

* Thu Sep 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.04.16-1mamba
- package created by silvan using the webbuild interface
